=== debian/changelog ===
ros-melodic-ros1-ign-bridge (0.7.0-1stretch) stretch; urgency=high

  * Merge pull request #38 <https://github.com/osrf/ros1_ign_bridge/issues/38> from osrf/unidirectional
    Support unidirectional bridge topics
  * More examples
  * Merge pull request #37 <https://github.com/osrf/ros1_ign_bridge/issues/37> from osrf/debug
    Adding debug and error statements
  * Switch to characters supported by ros
  * Merge branch 'debug' into unidirectional
  * More output, and rosconsole depend
  * Support specification of bridge direction
  * Adding debug and error statements
  * Contributors: Nate Koenig

 -- Carlos Agüero <caguero@openrobotics.org>  Thu, 15 Aug 2019 07:00:00 -0000

ros-melodic-ros1-ign-bridge (0.6.3-1stretch) stretch; urgency=high



 -- Carlos Agüero <caguero@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-melodic-ros1-ign-bridge (0.6.2-1stretch) stretch; urgency=high



 -- Carlos Agüero <caguero@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-melodic-ros1-ign-bridge (0.6.1-1stretch) stretch; urgency=high

  * Update README.md
  * Contributors: Carlos Agüero

 -- Carlos Agüero <caguero@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-melodic-ros1-ign-bridge (0.6.0-1stretch) stretch; urgency=high

  * Merge pull request #33 <https://github.com/osrf/ros1_ign_bridge/issues/33> from osrf/issue_31
    Fix issue #31 <https://github.com/osrf/ros1_ign_bridge/issues/31>
  * Image bridge using image_transport (#34 <https://github.com/osrf/ros1_ign_bridge/issues/34>)
    * Image bridge using image_transport
    * tests for image
    * correct metapackage
    * tests with catkin
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
    * Revert changes from #32 <https://github.com/osrf/ros1_ign_bridge/issues/32>
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Use intra-process field from messageInfo.
  * Contributors: Carlos Aguero, Nate Koenig, chapulina
  * 0.5.0
  * Battery state (#30 <https://github.com/osrf/ros1_ign_bridge/issues/30>)
  * Packed demo (#29 <https://github.com/osrf/ros1_ign_bridge/issues/29>)
    * adding demo for point cloud packed bridge
    * correct rviz file
    * RGBD bridged cloud demo
  * Merge pull request #28 <https://github.com/osrf/ros1_ign_bridge/issues/28> from osrf/pointcloudpacked
    Bridge point cloud packed
  * Contributors: Nate Koenig, chapulina
  * Battery state (#30 <https://github.com/osrf/ros1_ign_bridge/issues/30>)
  * Packed demo (#29 <https://github.com/osrf/ros1_ign_bridge/issues/29>)
    * adding demo for point cloud packed bridge
    * correct rviz file
    * RGBD bridged cloud demo
  * Merge pull request #28 <https://github.com/osrf/ros1_ign_bridge/issues/28> from osrf/pointcloudpacked
    Bridge point cloud packed
  * Contributors: Nate Koenig, chapulina

 -- Carlos Agüero <caguero@openrobotics.org>  Fri, 02 Aug 2019 07:00:00 -0000

ros-melodic-ros1-ign-bridge (0.4.0-1stretch) stretch; urgency=high

  * tests and reverse bridge for pointcloud
  * Bridge point cloud packed
  * Contributors: Nate Koenig

 -- Carlos Agüero <caguero@openrobotics.org>  Tue, 16 Jul 2019 07:00:00 -0000

ros-melodic-ros1-ign-bridge (0.3.1-1stretch) stretch; urgency=high



 -- Carlos Agüero <caguero@openrobotics.org>  Mon, 01 Jul 2019 07:00:00 -0000

ros-melodic-ros1-ign-bridge (0.3.0-1stretch) stretch; urgency=high

  * 0.2.0
  * Conversion between nav_msgs/Odometry and ignition::msgs::Odometry (#22 <https://github.com/osrf/ros1_ign_bridge/issues/22>)
    * Conversion between nav_msgs/Odometry and ignition::msgs::Odometry.
    * Update documentation.
    * More time to run tests
    * Cleaning test_utils.
    * Remove explicit ROS dependencies for Travis.
    * diff drive demo with cmd_vel and odom
    * process child frame id
  * Fluid pressure (#20 <https://github.com/osrf/ros1_ign_bridge/issues/20>)
    * screenshots
    * missing IMU
    * Fluid pressure
    * Fix tests.
  * Demos package (#19 <https://github.com/osrf/ros1_ign_bridge/issues/19>)
    * Start of demos package: camera
    * IMU
    * depth camera
    * magnetometer
    * lidar, base launch
    * READMEs, RGBD camera
    * screenshots
    * missing IMU
    * set plugin path env
    * It's best to always set it
  * Point clouds for RGBD cameras (#17 <https://github.com/osrf/ros1_ign_bridge/issues/17>)
    * Beginning of point cloud package
    * Populating image data, but result is not correct. Must find out where's the source of the problem.
    * RGB -> BGR: why?
    * Cleanup code and example
    * pointcloud -> point_cloud
    * add keys - how was this working before?
    * install wget
    * well, we need ign-gz2 :sweat_smile:
    * README update
    * PR feedback
    * .travis/build: rosdep skip ignition keys (#18 <https://github.com/osrf/ros1_ign_bridge/issues/18>)
    * .travis/build: rosdep skip ignition keys
    * Update build
  * Move package to subfolder, add metapackage (#16 <https://github.com/osrf/ros1_ign_bridge/issues/16>)
  * Contributors: Carlos Agüero, Nate Koenig, chapulina

 -- Carlos Agüero <caguero@openrobotics.org>  Fri, 28 Jun 2019 07:00:00 -0000

ros-melodic-ros1-ign-bridge (0.2.2-1stretch) stretch; urgency=high



 -- Carlos Agüero <caguero@openrobotics.org>  Mon, 20 May 2019 07:00:00 -0000

ros-melodic-ros1-ign-bridge (0.2.1-1stretch) stretch; urgency=high



 -- Carlos Agüero <caguero@openrobotics.org>  Sat, 11 May 2019 07:00:00 -0000

ros-melodic-ros1-ign-bridge (0.2.0-1stretch) stretch; urgency=high



 -- Carlos Agüero <caguero@openrobotics.org>  Thu, 09 May 2019 07:00:00 -0000

ros-melodic-ros1-ign-bridge (0.1.0-1stretch) stretch; urgency=high



 -- Carlos Agüero <caguero@openrobotics.org>  Wed, 20 Mar 2019 07:00:00 -0000
